<?php
// header("Content-Type: " . bloginfo("html_type") . "; charset=" . get_option("blog_charset"));

// Do some javascript checking with jslint:
// http://www.crockford.com/javascript/
/* This is the form entry page that is used by hrecipe.php */
// BOGUS!  These paths need to be redone, correctly.
// http://ottodestruct.com/blog/2010/dont-include-wp-load-please/
// http://ottopress.com/2010/passing-parameters-from-php-to-javascripts-in-plugins/

// Esto es necesario para poder usar las funciones de wordpress
include_once($_SERVER["DOCUMENT_ROOT"] . "/wp-load.php");

// Si no existe la funcion 500
if (!function_exists("is_user_logged_in")) {
	wp_die( __("500, Ups!.... function not exists 'is_user_logged_in'"), __("500, Error"), array('response' => 500) );
} 

// Si no esta logueado 403
if (!is_user_logged_in()) {
	wp_die( __("403, Forbidden"), __("403, Forbidden"), array('response' => 403) );
}

wp_enqueue_style( 'global' );
wp_enqueue_style( 'wp-admin' );
wp_enqueue_style( 'media' );
wp_enqueue_style( 'colors' );
wp_enqueue_style( 'ie' );
wp_enqueue_script( 'tiny_mce' );
wp_enqueue_script( 'tinymce' );

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php do_action("admin_xml_ns"); ?> <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo("html_type"); ?>; charset=<?php echo get_option("blog_charset"); ?>" />
	<title><?php _e("Restaurant Bookings"); ?></title>
	<script type="text/javascript">
	function rbktmce_cancel() {
		window.parent.rbktmce_cancel();
		tinyMCEPopup.close();
	}
	
	function rbktmce_insert() {
		window.parent.rbktmce_insert(document.forms[0]);
		tinyMCEPopup.close();
	}
	</script>
	<?php
	do_action('admin_print_styles');
	do_action('admin_print_scripts');
	do_action('print_scripts');
	do_action('admin_head');
	
	// Los scripts de tinymce aunque te pongan los de wordpress que estan registrados es mentira!!! ;)
	// hay que meterlos a mano.
	?>
	<script type="text/javascript" src="<?php echo includes_url('/js/tinymce/tiny_mce_popup.js'); ?>"></script>
	<script type="text/javascript" src="<?php echo includes_url('/js/tinymce/tiny_mce.js'); ?>"></script>
</head>
<body>
<form name="rbktmceForm">
	<fieldset>
		<label><?php _e("Business Id"); ?></label>
		<input name="business_id" type="text" maxlength="255" value="<?=get_option("rb_business_id")?>" />
	</fieldset>
	
	<fieldset>
		<label><?php _e("Skin"); ?></label>
		<select name="skin">
			<option value="light"><?php _e("Light"); ?></option>
			<option value="dark"><?php _e("Dark"); ?></option>
		</select>
	</fieldset>
	
	<input type="button" onclick="javascript:rbktmce_insert();" value="<?php _e("Insert"); ?>" />
	<input type="button" onclick="javascript:rbktmce_cancel();" value="<?php _e("Cancel"); ?>" />
</form>
</body>
</html>
